library(betapart)

#core dataset
coredata_hab_3perc_comm <- read.table("commatrix.txt", header=T)
beta.multi.abund(coredata_hab_3perc_comm, index.family="bray")
beta.pair.abund(coredata_hab_3perc_comm, index.family="bray")

#core dataset - no singletons
coredata_hab_3perc_nsg_comm <- read.table("commatrix.txt", header=T)
beta.multi.abund(coredata_hab_3perc_nsg_comm, index.family="bray")
beta.pair.abund(coredata_hab_3perc_nsg_comm, index.family="bray")

#core dataset - no doubletons
coredata_hab_3perc_ndb_comm <- read.table("commatrix.txt", header=T)
beta.multi.abund(coredata_hab_3perc_ndb_comm, index.family="bray")
beta.pair.abund(coredata_hab_3perc_ndb_comm, index.family="bray")

#core dataset - no less 5
coredata_hab_3perc_nl5_comm <- read.table("commatrix.txt", header=T)
beta.multi.abund(coredata_hab_3perc_nl5_comm, index.family="bray")
beta.pair.abund(coredata_hab_3perc_nl5_comm, index.family="bray")

#core dataset - no less 10
coredata_hab_3perc_nl10_comm <- read.table("commatrix.txt", header=T)
beta.multi.abund(coredata_hab_3perc_nl10_comm, index.family="bray")
beta.pair.abund(coredata_hab_3perc_nl10_comm, index.family="bray")

#full dataset
fulldata_habsplit_3perc_comm <- read.table("commatrix.txt", header=T)
beta.multi.abund(fulldata_habsplit_3perc_comm, index.family="bray")
beta.pair.abund(fulldata_habsplit_3perc_comm, index.family="bray")

#full dataset - no singletons
fulldata_habsplit_3perc_nsg_comm <- read.table("commatrix.txt", header=T)
beta.multi.abund(fulldata_habsplit_3perc_nsg_comm, index.family="bray")
beta.pair.abund(fulldata_habsplit_3perc_nsg_comm, index.family="bray")

#full dataset - no doubletons
fulldata_habsplit_3perc_ndb_comm <- read.table("commatrix.txt", header=T)
beta.multi.abund(fulldata_habsplit_3perc_ndb_comm, index.family="bray")
beta.pair.abund(fulldata_habsplit_3perc_ndb_comm, index.family="bray")

#full dataset - no less 5
fulldata_habsplit_3perc_nl5_comm <- read.table("commatrix.txt", header=T)
beta.multi.abund(fulldata_habsplit_3perc_nl5_comm, index.family="bray")
beta.pair.abund(fulldata_habsplit_3perc_nl5_comm, index.family="bray")

#full dataset - no less 10
fulldata_habsplit_3perc_nl10_comm <- read.table("commatrix.txt", header=T)
beta.multi.abund(fulldata_habsplit_3perc_nl10_comm, index.family="bray")
beta.pair.abund(fulldata_habsplit_3perc_nl10_comm, index.family="bray")
